Loading...
Searching...
No Matches
lime_settings.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | lime
namespace | lime::settings
| Hold constants definition used as settings in all components of the lime library.

## Variables

constexpr size_t | lime::settings::DRSessionSharedADSize =32
constexpr uint16_t | lime::settings::maxMessageSkip =1024
constexpr uint16_t | lime::settings::maxMessagesReceivedAfterSkip = 128
constexpr uint16_t | lime::settings::maxSendingChain =1000
| Maximum length of Sending chain.
constexpr unsigned int | lime::settings::DRSession_limboTime_days =30
constexpr unsigned int | lime::settings::SPK_lifeTime_days =7
| in days, Life time of a signed pre-key, it will be set to stale after that period
constexpr unsigned int | lime::settings::SPK_limboTime_days =30
| in days, How long shall we keep a signed pre-key once it has been replaced by a new one
constexpr uint16_t | lime::settings::OPk_batchSize = 25
| default batch size when uploading OPks to X3DH server
constexpr uint16_t | lime::settings::OPk_initialBatchSize = 4*OPk_batchSize
| default batch size when creating a new user
constexpr uint16_t | lime::settings::OPk_serverLowLimit = 100
| default limit for keys on server to trigger generation/upload of a new batch of OPks
constexpr unsigned int | lime::settings::OPk_limboTime_days =SPK_lifeTime_days+SPK_limboTime_days
| in days, How long shall we keep an OPk in localStorage once we've noticed X3DH server dispatched it
constexpr unsigned int | lime::settings::OPk_updatePeriod =86400
| in seconds, how often should we perform an update (check if we should publish new OPk, cleaning DB routine etc...)